Bug 149262 - gfs_fsck: double free or corruption after pass 5
gfs_fsck: double free or corruption after pass 5
Status: CLOSED NEXTRELEASE
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: gfs (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: AJ Lewis
GFS Bugs
:
Depends On:
Blocks: 144795
  Show dependency treegraph
 
Reported: 2005-02-21 14:22 EST by Derek Anderson
Modified: 2010-01-11 22:03 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-01 14:09:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Derek Anderson 2005-02-21 14:22:01 EST
Description of problem:

I'm consistently getting this on my current GFS.  It was previously
mounted and running lock_dlm traffic (no, no one had it mounted during
the gfs_fsck).  The fs still mounts and appears to work correctly.

[root@link-11 ~]# gfs_fsck /dev/VG1/LV1
Initializing fsck
Old file system detected.
Starting pass1
Pass1 complete
Starting pass1b
Pass1b complete
Starting pass1c
Pass1c complete
Starting pass2
Pass2 complete
Starting pass3
Pass3 complete
Starting pass4
Pass4 complete
Starting pass5
Pass5 complete
*** glibc detected *** double free or corruption (fasttop): 0x085062b0 ***
Aborted
[root@link-11 ~]# echo $?
134

When run from an Opteron the message is:
*** glibc detected *** double free or corruption: 0x0000000000523310 ***

Version-Release number of selected component (if applicable):
GFS fsck 6.1-0.pre14 (built Feb 17 2005 11:54:20)

How reproducible:
Will try next on a newly-created GFS.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Derek Anderson 2005-02-21 14:26:54 EST
Fails on a newly created filesystem. 
 
[root@link-08 /]# gfs_mkfs -t MILTON:data2 -j 4 -p lock_dlm 
/dev/VG2/LV2 
This will destroy any data on /dev/VG2/LV2. 
 
Are you sure you want to proceed? [y/n] y 
 
Device:                    /dev/VG2/LV2 
Blocksize:                 4096 
Filesystem Size:           11721656 
Journals:                  4 
Resource Groups:           180 
Locking Protocol:          lock_dlm 
Lock Table:                MILTON:data2 
 
Syncing... 
All Done 
[root@link-08 /]# gfs_fsck -y /dev/VG2/LV2 
Initializing fsck 
Old file system detected. 
Starting pass1 
Pass1 complete 
Starting pass1b 
Pass1b complete 
Starting pass1c 
Pass1c complete 
Starting pass2 
Pass2 complete 
Starting pass3 
Pass3 complete 
Starting pass4 
Pass4 complete 
Starting pass5 
Pass5 complete 
*** glibc detected *** double free or corruption: 0x0000000000523310 
*** 
Aborted 
[root@link-08 /]# 
Comment 2 AJ Lewis 2005-02-22 17:14:40 EST
Did you turn on some glibc debugging or something?  I'm not seeing this on the
rhel4 system i just imaged.
Comment 3 AJ Lewis 2005-02-23 11:15:15 EST
Ok, found the problem - should be fixed in the next build.
Comment 4 Kiersten (Kerri) Anderson 2005-02-23 12:37:26 EST
Add to the blocker list
Comment 5 Derek Anderson 2005-03-01 14:09:06 EST
Verified in GFS fsck 6.1-0.pre17 (built Feb 28 2005 11:34:01).

[root@link-08 /]# gfs_fsck /dev/VG1/LV1
Initializing fsck
Starting pass1
Pass1 complete
Starting pass1b
Pass1b complete
Starting pass1c
Pass1c complete
Starting pass2
Pass2 complete
Starting pass3
Pass3 complete
Starting pass4
Pass4 complete
Starting pass5
Pass5 complete
[root@link-08 /]#

Note You need to log in before you can comment on or make changes to this bug.